[project]
name = "mediawiki-dump-tools"
version = "0.1.1"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.9"
dependencies = [
    "deltas>=0.7.0",
    "mediawiki-utilities>=0.4.18",
    "more-itertools>=10.7.0",
    "mwparserfromhell>=0.6.0",
    "mwpersistence>=0.2.4",
    "mwreverts>=0.1.5",
    "mwtypes>=0.4.0",
    "mwxml>=0.3.6",
    "pyarrow>=20.0.0",
    "pyspark>=3.5.0",
    "pywikidiff2",
    "sortedcontainers>=2.4.0",
    "yamlconf>=0.2.6",
]

[project.scripts]
wikiq = "wikiq:main"
wikiq-spark = "wikiq_spark:main"

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.hatch.build.targets.wheel]
packages = ["src/wikiq", "src/wikiq_spark"]

[tool.uv.sources]

yamlconf = { git = "https://github.com/groceryheist/yamlconf" }
mwxml = { git = "https://github.com/groceryheist/python-mwxml" }
deltas = { git = "https://github.com/groceryheist/deltas" }
pywikidiff2 = { git = "ssh://gitea@gitea.communitydata.science:2200/groceryheist/pywikidiff2.git"}

[dependency-groups]
dev = [
    "ipython>=8.18.1",
    "memray>=1.17.2",
    "pandas>=2.1.0",
    "pytest>=8.4.1",
    "pytest-asyncio>=1.0.0",
    "pytest-benchmark>=5.1.0",
]
